Subject: Re: Running Win10 after end of life

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Tue, 22 Apr 2025 15:02:42 -0700

Maybe put it into a VM (eg, VirtualBox) hosted on a Mac or Linux?

That’s what I use to do my Delphi development because the IDE only runs in Windows. 

I don’t use it for anything else, although I do run the browsers in it, largely b/c I’m doing web dev work. I also need to access things on the web from time to time.

I’m curious about how safe that is going forward.

I’ve heard it’s mostly from direct access by bots that do port scanning and look for known security holes.

Someone set up a little box with a freshly-installed version of Win XP that was otherwise untouched, and within 20 minutes of plugging it into the internet it had been infected with four different things.

-David Schwartz

> On Apr 22, 2025, at 1:54 PM, Keith Smith via PLUG-discuss <[email-masked]> wrote:
> 
> Hi,
> 
> I have one app that is windows only.  I am not going to upgrade to win11.
> 
> I asked AI the question and the response was mostly along the lines of security:
> 
> - Your system will be vulnerable to new malware, viruses, and ransomware.
> 
> - Use good antivirus software.
> 
> - Stop using the PC for sensitive things like banking or email.
> 
> I am running the free version of AGV.
> 
> I have no understanding of the win built in security...
> 
> I am going to try and migrate away from win10 at some point.  My daily driver is Kubuntu... I hope to cure the M$ issue by migrating completely onto Linux.
> 
> Any thoughts on what I might want to do if I need to run win10 after it's EOL?
> 
> Thanks!!
> Keith
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss